com.smartgwt.client.widgets.form

## Class FormItemEventInfo

- java.lang.Object
- - com.smartgwt.client.core.JsObject
  - - com.smartgwt.client.core.DataClass
    - - com.smartgwt.client.widgets.form.FormItemEventInfo

- All Implemented Interfaces:
    com.google.gwt.event.shared.HasHandlers

      public class FormItemEventInfo
      extends DataClass

  A class containing details for mouse events occurring over a FormItem.
  See Also:
    `DynamicForm.getEventItemInfo(String)`

- - ### Field Summary

    - ### Fields inherited from class com.smartgwt.client.core.DataClass

      `factoryCreated, factoryProperties, readOnly`

    - ### Fields inherited from class com.smartgwt.client.core.JsObject

      `jsObj`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FormItemEventInfo(com.google.gwt.core.client.JavaScriptObject jsObj)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getIcon()` If this event occurred over a formItemIcon this attribute contains the `name` of the icon.
    `FormItem` | `getItem()` Item over which the event occurred.
    `java.lang.Boolean` | `isOverItem()` True if the event occurred over the main body of the item (for example the text-box), rather than over the title or within the form item's cell in the DynamicForm but outside the text box area.
    `java.lang.Boolean` | `isOverTitle()` True if the event occurred over the items title.

    - ### Methods inherited from class com.smartgwt.client.core.DataClass

      `applyFactoryProperties, doAddHandler, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsDoubleArray, getAttributeAsFloat, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsLong, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getAttributes, getHandlerCount, getReadOnly, isFactoryCreated, logConfiguration, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttributeAsJavaObject, setFactoryCreated, setReadOnly`

    - ### Methods inherited from class com.smartgwt.client.core.JsObject

      `equals, getJsObj, hashCode, isCreated, setJavaScriptObject, setJsObj`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FormItemEventInfo

          public FormItemEventInfo(com.google.gwt.core.client.JavaScriptObject jsObj)

  - ### Method Detail

    - #### getItem

          public FormItem getItem()

      Item over which the event occurred.
      Returns:
        item over which the event occurred.

    - #### isOverItem

          public java.lang.Boolean isOverItem()

      True if the event occurred over the main body of the item (for example the text-box), rather than over the title or within the form item's cell in the DynamicForm but outside the text box area.
      Returns:
        true if the event occurred over the main body of the item

    - #### isOverTitle

          public java.lang.Boolean isOverTitle()

      True if the event occurred over the items title.
      Returns:
        true if the event occurred over the items title.

    - #### getIcon

          public java.lang.String getIcon()

      If this event occurred over a formItemIcon this attribute contains the `name` of the icon.
      Returns:
        the form item icon name